FontDescriptor (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts

## Interface FontDescriptor

- All Superinterfaces:
    FontMetrics
  All Known Implementing Classes:
    CFFToType1Font, CIDFont, CustomFont, LazyFont, MultiByteFont, SingleByteFont

      public interface FontDescriptor
      extends FontMetrics

  This interface enhances the font metrics interface with access methods to value needed to register fonts in various target formats like PDF or PostScript.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAscender()` Returns the ascender value of the font.
    `int` | `getCapHeight()` Returns the capital height of the font.
    `int` | `getDescender()` Returns the descender value of the font.
    `int` | `getFlags()` Returns the flags for the font.
    `int[]` | `getFontBBox()` Returns the font's bounding box.
    `int` | `getItalicAngle()` Returns the italic angle for the font.
    `int` | `getStemV()` Returns the vertical stem width for the font.
    `boolean` | `isEmbeddable()` Indicates if this font may be embedded.
    `boolean` | `isSubsetEmbedded()` Indicates whether this font is subset embedded.
    `boolean` | `isSymbolicFont()` Indicates whether the font is a symbolic font.

    - ### Methods inherited from interface org.apache.fop.fonts.FontMetrics

      `getAscender, getBoundingBox, getCapHeight, getDescender, getEmbedFontName, getFamilyNames, getFontName, getFontType, getFontURI, getFullName, getKerningInfo, getMaxAscent, getStrikeoutPosition, getStrikeoutThickness, getUnderlinePosition, getUnderlineThickness, getWidth, getWidths, getXHeight, hasFeature, hasKerningInfo, isMultiByte`

- - ### Method Detail

    - #### getAscender

          int getAscender()

      Returns the ascender value of the font. (Ascent in pdf spec)
      Returns:
        the ascender

    - #### getCapHeight

          int getCapHeight()

      Returns the capital height of the font.
      Returns:
        the capital height

    - #### getDescender

          int getDescender()

      Returns the descender value of the font. (Descent in pdf spec)
      Returns:
        the descender value

    - #### getFlags

          int getFlags()

      Returns the flags for the font. (See pdf spec)
      Returns:
        the flags

    - #### isSymbolicFont

          boolean isSymbolicFont()

      Indicates whether the font is a symbolic font.
      Returns:
        true if the font is a symbolic font (i.e. Symbol or ZapfDingbats)

    - #### getFontBBox

          int[] getFontBBox()

      Returns the font's bounding box.
      Returns:
        the bounding box

    - #### getItalicAngle

          int getItalicAngle()

      Returns the italic angle for the font.
      Returns:
        the italic angle

    - #### getStemV

          int getStemV()

      Returns the vertical stem width for the font.
      Returns:
        the vertical stem width

    - #### isEmbeddable

          boolean isEmbeddable()

      Indicates if this font may be embedded.
      Returns:
        True, if embedding is possible/permitted

    - #### isSubsetEmbedded

          boolean isSubsetEmbedded()

      Indicates whether this font is subset embedded.
      Returns:
        true if this font is subset embedded

Copyright © 2025 Apache Software Foundation. All rights reserved.